## org.apache.myfaces.taglib.html.ext
Class HtmlGraphicImageTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlGraphicImageTagBase
                      org.apache.myfaces.taglib.html.ext.HtmlGraphicImageTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  HtmlSwapImageTag

public class HtmlGraphicImageTag
extends HtmlGraphicImageTagBase

Version:
  $Revision$ $Date: 2005-05-11 18:45:06 +0200 (Wed, 11 May 2005) $
Author:
  Bruno Aranda

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlGraphicImageTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setAlign(java.lang.String align)`
`void` `setBorder(java.lang.String border)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setHspace(java.lang.String hspace)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`
`void` `setVspace(java.lang.String vspace)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlGraphicImageTagBase
`setAlt, setHeight, setIsmap, setLongdesc, setOnblur, setOnchange, setOnfocus, setUrl, setUsemap, setWidth`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlGraphicImageTag

    public HtmlGraphicImageTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlGraphicImageTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlGraphicImageTagBase`

### setAlign

    public void setAlign(java.lang.String align)

### setBorder

    public void setBorder(java.lang.String border)

### setHspace

    public void setHspace(java.lang.String hspace)

### setVspace

    public void setVspace(java.lang.String vspace)

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)